package domain

type AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo struct {
	/*
	   商品池ID     */
	PoolId *int64 `json:"pool_id,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   活动Id     */
	PromotionId *string `json:"promotion_id,omitempty" `

	/*
	   版本Id     */
	VersionId *int64 `json:"version_id,omitempty" `
}

func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo) SetPoolId(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo {
	s.PoolId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo) SetSkuCode(v string) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo) SetPromotionId(v string) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo {
	s.PromotionId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo) SetVersionId(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo {
	s.VersionId = &v
	return s
}
